Index: /main/waeup.sirp/trunk/docs/source/developerdocs/german/application.rst
===================================================================
--- /main/waeup.sirp/trunk/docs/source/developerdocs/german/application.rst	(revision 5651)
+++ /main/waeup.sirp/trunk/docs/source/developerdocs/german/application.rst	(revision 5652)
Index: /main/waeup.sirp/trunk/docs/source/developerdocs/german/index.rst
===================================================================
--- /main/waeup.sirp/trunk/docs/source/developerdocs/german/index.rst	(revision 5651)
+++ /main/waeup.sirp/trunk/docs/source/developerdocs/german/index.rst	(revision 5652)
@@ -14,2 +14,3 @@
    accesscodes
    application
+   users
Index: /main/waeup.sirp/trunk/docs/source/developerdocs/german/users.rst
===================================================================
--- /main/waeup.sirp/trunk/docs/source/developerdocs/german/users.rst	(revision 5652)
+++ /main/waeup.sirp/trunk/docs/source/developerdocs/german/users.rst	(revision 5652)
@@ -0,0 +1,60 @@
+User Management
+***************
+
+Das User- und Rollen-Management in im SRP lehnt sich an die Nutzer- und Rechteverwaltung des Nuxeo CPS an und wird im Wesentlichen über die Gruppenzugehörigkeit von Nutzern gesteuert. D.h. es werden wenige Rollen definiert, die einer ganzen Gruppe lokal zugewiesen werden.
+
+- Rollen
+
+    SectionReader und SectionManager
+      Diese beiden Rollen wurden vom CPS übernommen. Es wurde auch noch die SectionOfficer-Rolle eingeführt, die aber mit der SectionManager-Rolle identisch und somit eigentlich überflüssig ist. 
+
+    Student
+      Die Studentenrolle - auch wenn dies erstaunlich klingen mag - findet keine Verwendung mehr. Ein Student hat als Owner seiner Objekte gewisse Rechte und hat über die Zuweisung
+      
+      ::
+          
+        academics.manage_setLocalGroupRoles(groupid='role: Authenticated',roles=('SectionReader',)) 
+            
+      in exportimport.py des SRP die SectionReader-Rolle für die Academic Section. 
+      
+    ClearanceOfficer und CourseAdviser
+      Die ClearanceOfficer-Rolle wird in der Academic Section auf Faculty-Ebene lokal vergeben, die CourseAdviser-Rolle auf StudyLevel-Ebene. Die Mitglieder dieser Gruppen bekommen damit **keine** weiteren Rechte in der Academic Section. Jedoch werde über einen recht umständlichen Algoritmus in PatchCPSUserFolderUserFolder.py Rollen in die Students Section übertragen.  Hierzu dienen die Skripte isClearanceOfficer.py und isCourseAdviser.py. Clearance Officer dürfen in bestimmten Registration Status Transitions ausführen, Course Advisers dürfen Kurslisten validieren.  
+
+
+- Gruppen
+
+    CampusOfficers
+      sind Section Manager für das Campus-Objekt.
+    
+    AcademicsOfficers
+      sind Section Manager für die Academics Section.
+    
+    StudentsOfficers
+      sind Section Manager für die Students Section.
+    
+    StudentsReaders
+      sind Section Reader für für die Students Section.
+    
+    MemberAdmins
+      sind Section Manager der Student Section sowie für site.portal_directories.members, d.h. sie haben die Berechtigung, neue User hinzuzufügen bzw. zu löschen.
+    
+    UploadOfficers
+      sind Section Manager für die Uploads Section.
+      
+    AccessCodeOfficers
+      sind Section Manager für die PIN Section.
+    
+    AccommodationOfficers
+      sind Section Manager für die Accommodation Section.
+    
+    ClearanceOfficers und CourseAdvisers
+      sind Gruppen, die für die lokale Rollenzuweisung und das Patch (s.o.) benötigt werden. Im SRP **müssen** diese Gruppen zugewiesen werden. Die Vergabe der lokalen Rolle reicht nicht aus.   
+    
+    
+- Password Policy
+
+  Im SRP werden neue Staff-Mitglieder von einem User der Gruppe MemberAdmins eingetragen. Dieser ist letztendlich auch verantwortlich für sichere Passwörter. Es gibt keine Restriktionen bei der Passworteingabe. Zudem werden Passwörter unverschlüsslet abgespeichert. Mit entsprechenden Exportfunktionen kann mann eine csv-Tabelle aller User inkl. ihrer unverschlüsselten Passwörter exportieren. All diese Funktionen müssen überdacht und verbessert werden.
+
+- Anbindung an Plone und Moodle
+
+  Die elegante Lösung wäre ein Single Sign-on Verfahren, bei dem sich alle Portale die Credentials von einem LDAP-Server holen. Alternativ sollte man über eine Authentifizierung mithilfe der Daten aus SIRP nachdenken. Vorteil wäre, dass man SIRP alleine betreiben kann, ohne zusätzliche Dienste auf dem Server zu installieren. 