Index: main/waeup.sirp/trunk/docs/source/developerdocs/api/api_applicants.rst
===================================================================
--- main/waeup.sirp/trunk/docs/source/developerdocs/api/api_applicants.rst	(revision 5676)
+++ main/waeup.sirp/trunk/docs/source/developerdocs/api/api_applicants.rst	(revision 5676)
@@ -0,0 +1,14 @@
+`waeup.sirp.applicants` -- University Applicants
+*************************************************
+
+.. automodule:: waeup.sirp.applicants
+   :members:
+
+This module contains the following subpackages:
+
+.. toctree::
+   :maxdepth: 1
+
+   api_applicants_root
+   api_applicants_container
+   api_applicants_interfaces
Index: main/waeup.sirp/trunk/docs/source/developerdocs/api/api_applicants_container.rst
===================================================================
--- main/waeup.sirp/trunk/docs/source/developerdocs/api/api_applicants_container.rst	(revision 5676)
+++ main/waeup.sirp/trunk/docs/source/developerdocs/api/api_applicants_container.rst	(revision 5676)
@@ -0,0 +1,11 @@
+`waeup.sirp.applicants.container` -- University Applicants Container
+********************************************************************
+
+.. automodule:: waeup.sirp.applicants.container
+
+ApplicantsContainer -- The container of applicants in a site
+============================================================
+
+.. autoclass:: waeup.sirp.applicants.container.ApplicantsContainer
+   :members:
+   :undoc-members:
Index: main/waeup.sirp/trunk/docs/source/developerdocs/api/api_applicants_interfaces.rst
===================================================================
--- main/waeup.sirp/trunk/docs/source/developerdocs/api/api_applicants_interfaces.rst	(revision 5676)
+++ main/waeup.sirp/trunk/docs/source/developerdocs/api/api_applicants_interfaces.rst	(revision 5676)
@@ -0,0 +1,18 @@
+`waeup.sirp.applicants.interfaces` -- Interfaces
+**************************************************
+
+.. automodule:: waeup.sirp.applicants.interfaces
+   :members:
+
+IApplicantsRoot -- A root for university applicants 
+===================================================
+
+.. autointerface:: IApplicantsRoot
+   :members:
+
+
+IApplicantsContainer -- A container for university applicants
+=============================================================
+
+.. autointerface:: IApplicantsContainer
+   :members:
Index: main/waeup.sirp/trunk/docs/source/developerdocs/api/api_applicants_root.rst
===================================================================
--- main/waeup.sirp/trunk/docs/source/developerdocs/api/api_applicants_root.rst	(revision 5676)
+++ main/waeup.sirp/trunk/docs/source/developerdocs/api/api_applicants_root.rst	(revision 5676)
@@ -0,0 +1,19 @@
+`waeup.sirp.applicants.root` -- University Applicants Root
+***********************************************************
+
+.. automodule:: waeup.sirp.applicants.root
+
+ApplicantsRoot -- The root of applicants in a site
+======================================================
+
+.. autoclass:: waeup.sirp.applicants.root.ApplicantsRoot
+   :members:
+   :undoc-members:
+
+ApplicantsPlugin -- A plugin to setup/update an :class:`ApplicantsRoot`
+===========================================================================
+
+.. autoclass:: waeup.sirp.applicants.root.ApplicantsPlugin
+   :members:
+   :undoc-members:
+
Index: main/waeup.sirp/trunk/docs/source/developerdocs/api/api_applications.rst
===================================================================
--- main/waeup.sirp/trunk/docs/source/developerdocs/api/api_applications.rst	(revision 5675)
+++ 	(revision )
@@ -1,14 +1,0 @@
-`waeup.sirp.applications` -- Student Applications
-*************************************************
-
-.. automodule:: waeup.sirp.applications
-   :members:
-
-This module contains the following subpackages:
-
-.. toctree::
-   :maxdepth: 1
-
-   api_applications_root
-   api_applications_container
-   api_applications_interfaces
Index: main/waeup.sirp/trunk/docs/source/developerdocs/api/api_applications_container.rst
===================================================================
--- main/waeup.sirp/trunk/docs/source/developerdocs/api/api_applications_container.rst	(revision 5675)
+++ 	(revision )
@@ -1,11 +1,0 @@
-`waeup.sirp.applications.root` -- Student Application Containers
-****************************************************************
-
-.. automodule:: waeup.sirp.applications.container
-
-ApplicationsContainer -- The root of applications in a site
-===========================================================
-
-.. autoclass:: waeup.sirp.applications.container.ApplicationContainer
-   :members:
-   :undoc-members:
Index: main/waeup.sirp/trunk/docs/source/developerdocs/api/api_applications_interfaces.rst
===================================================================
--- main/waeup.sirp/trunk/docs/source/developerdocs/api/api_applications_interfaces.rst	(revision 5675)
+++ 	(revision )
@@ -1,18 +1,0 @@
-`waeup.sirp.applications.interfaces` -- Interfaces
-**************************************************
-
-.. automodule:: waeup.sirp.applications.interfaces
-   :members:
-
-IApplicationsRoot -- A root for student applications
-====================================================
-
-.. autointerface:: IApplicationsRoot
-   :members:
-
-
-IApplicationContainer -- A container for student applications
-=============================================================
-
-.. autointerface:: IApplicationContainer
-   :members:
Index: main/waeup.sirp/trunk/docs/source/developerdocs/api/api_applications_root.rst
===================================================================
--- main/waeup.sirp/trunk/docs/source/developerdocs/api/api_applications_root.rst	(revision 5675)
+++ 	(revision )
@@ -1,19 +1,0 @@
-`waeup.sirp.applications.root` -- Student Applications Root
-***********************************************************
-
-.. automodule:: waeup.sirp.applications.root
-
-ApplicationsRoot -- The root of applications in a site
-======================================================
-
-.. autoclass:: waeup.sirp.applications.root.ApplicationsRoot
-   :members:
-   :undoc-members:
-
-ApplicationsPlugin -- A plugin to setup/update an :class:`ApplicationsRoot`
-===========================================================================
-
-.. autoclass:: waeup.sirp.applications.root.ApplicationsPlugin
-   :members:
-   :undoc-members:
-
Index: main/waeup.sirp/trunk/docs/source/developerdocs/api/index.rst
===================================================================
--- main/waeup.sirp/trunk/docs/source/developerdocs/api/index.rst	(revision 5675)
+++ main/waeup.sirp/trunk/docs/source/developerdocs/api/index.rst	(revision 5676)
@@ -11,5 +11,5 @@
 
    api_app
-   api_applications
+   api_applicants
    api_authentication
    api_catalog
Index: main/waeup.sirp/trunk/docs/source/developerdocs/german/applicants.rst
===================================================================
--- main/waeup.sirp/trunk/docs/source/developerdocs/german/applicants.rst	(revision 5676)
+++ main/waeup.sirp/trunk/docs/source/developerdocs/german/applicants.rst	(revision 5676)
@@ -0,0 +1,67 @@
+Applicants
+***********
+
+Das Applicants Package dient der Anmeldung einer großen Zahl von Personen (bis 50.000) zur Teilnahme an einem hochschulinternen Screening-Verfahren, welche die Zulassung zum Studium an der Hochschule regeln. Es gibt zur Zeit acht verschiedene Screening-Verfahren mit zum Teil mehreren unterschiedlichen Anmeldeformularen. Ein Screening wird in der Regel durch einen Massentest ('Exercise') begleitet. Manchmal spielt auch nur die Herkunft (z.B. aus dem armen Norden) oder das Geschlecht eine Rolle bei der Vergabe von Studienplätzen. Hier die verschiedenen Screening-Verfahren:
+
+**1. Universities**
+
+PUME: Post University Matriculation Examination 
+ Die UME-Daten werden von JAMB übermittelt. Diese Studenten haben schon eine JAMB-Prüfung absolviert, die sich UME nennt. JAMB ist die zentrale nigerianische Zulassungsstelle, über die die Zuweisung der Applikanten an die verschiedenen Hochschulen gesteuert wird.
+    
+PUDE: Post University Direct Entrance
+ Die UDE-Daten werden von JAMB übermittelt. Diese Studenten haben keine JAMB-Prüfung absolvieren müssen, ihre Daten werden nur weitergeleitet.
+    
+DP: Screening für Diploma Students
+
+CT: Screening für Certificate Students (einige Certificates tragen den offiziellen Namen 'Certificate'')
+    
+SANDWICH: Screening für Sanwich Programme Students (= Part-Time Degree in Education)
+    
+PT: Screening für Part-Time Degree Students (das sind ältere Studenten, die ein Abendstudium absolvieren)
+    
+(CEST: Common Entrance Screening Test) 
+ Obwohl hier aufgeführt, ist CEST **kein** eigenständiges Screeningverfahren. Es ist ein Test, der bei verschiedenen Screening-Verfahren zum Einsatz kommt. Das hat mich anfangs auch sehr verwirrt, auch dass oft nur von Screening gesprochen wird und automatisch ein Test gemeint ist. So gibt es z.B. ein Screening Venue. Ich habe aber gelernt, dass ein Screening auch ganz ohne Test auskommen kann.    
+
+**2. (Federal) Colleges of Education**
+
+PCE: (Post-) Polytechnics and Colleges of Education Matriculation Examination
+ Die PCE-Daten werden von JAMB übermittelt. Diese Studenten haben schon eine JAMB-Prüfung absolviert, die sich PCE nennt. Eigentlich müsste das Screening-Verfahren PPCE heißen, denn es ist das Pendent zu PUME. PCE-Applikanten streben als Abschluss das NCE =  Nigerian Certificate in Education an, welches drei Jahre dauert.
+    
+PRENCE: Preliminary-NCE = Screening für Vorstudium des Nigerian Certificate in Education
+ Ich habe nicht ganz verstanden, welche Studenten so ein einjähriges Vorstudium absolvieren müssen. Vermutlich ist die Schulvorbildung entscheident (s. http://www.nasarawastate.org/articles/56/1/-College-of-Education-Akwanga/Page1.html). Die Pre-NCE Absolventen machen dann automatisch mit dem NCE-Programm weiter. Im SRP starten diese Studenten im Level 000 und gehen dann automatisch in das Level 100 über, ein Trick, der sich bewährt hat.
+    
+Darüber hinaus bieten die FCEs auch noch Sandwich und Diploma-Programme an. Die Formulare der Universitäten können benutzt werden.
+
+Die Frage tauchte auf, wie wir mit Screeningverfahren umgehen, für die es mehrere Anmeldeformulare gibt (z.B. PUME und PUME 2nd Choice). Ich schlage vor, jedes Anmeldeformular als eigenständigen Container für Applicant Records zu implementieren. Das Screening interessiert uns recht wenig, nur das Formular ist für uns interessant. An dem formularspezifischen Applicants-Container hängen dann die Informationen: Start Date, End Date (= Deadline) und Title (Liste kann erweitert werden). Wir benötigen somit nur zwei Container-Ebenen, wobei die Id des Applicants-Containers sich zusammensetzen muss aus dem Kürzel des Screeningverfahrens (+ evtl. Kennung unterschiedlicher Anmeldeformulare) + Sessionkennung. Der Pfad für eine PUME-Application könnte somit wie folgt aussehen: ``applicants/pume_11/123456``. Innerhalb eines Applicants-Containers ist die Id eindeutig. Beim Export der Daten über Sessiongrenzen hinweg müsste die Kennung, in diesem Fall ``pume_11``, der Id noch vorangestellt werden. In einer CSV-Datei würde die Id des Records dann ``pume_11_123456``` lauten. 
+
+Bei den Certificates gibt as das Attribut application_category. Dieses Attribut hilft bei der Gruppierung von Certificates, die den Antragstellern zur Auswahl gestellt werden. Hier werden die Screening-Typen DP, CT und PT noch einmal zusammengefasst, da sie anscheinend alle zu den gleichen Abschlüsse führen. Auch kommt bei all diesen Studenten der CEST zum Einsatz.
+
+Für den Worksflow müssen zwei Gruppen unterschieden werden. PUME, PUDE und PCE durchlaufen vorher das JAMB-Screening, d.h. JAMB liefert den Basisdatensatz, der inkl. der Passfotos über das Data Center importiert werden muss. Bei der Anmeldung im Portal müssen sich die Applikanten erst durch ihre JAMB Registration Number identifizieren. Zusätzlich geben sie noch eine Application PIN ein, mit der sie die Berechtigung gekauft haben, das Formular weiter auszufüllen zu dürfen. Alle anderen Applikanten geben nur die PIN ein. Ihr Datensatz wird in diesem Moment erzeugt. Als Registration Number wird dann (anstatt die JAMB RegNo) die Batch- und die Seriennummer der Scratch Card verwendet (Bauweise s.u.).
+
+Die Vorgehensweise und der Workflow ist wie folgt:
+
+- JAMB-Datensätze werden im Status 'created' importiert.
+
+- Applikanten öffnen die entsprechende Eingabemaske für die PIN und ggf. der JAMB Registration Number. Der PIN Prefix entspricht dem obigen Screeining-Kürzel. Nach dem ersten Zugriff auf einen Datensatz ändert sich dessen Status nach 'edited'.
+
+- Das Formular öffnet sich, das Passbild wird hochgeladen (falls noch nicht vorhanden) und die Felder werden ausgefüllt. Etwas komplizierter sind die Eingabefelder für Zeugnisnoten. Das müsste man sich mal im alten SRP anschauen.Das Passbild wird in einem separaten Verzeichnis mit der Registration Number als Name abgespeichert. Nur jpg-Bilder mit einer begrenzten  Bytegröße werden erlaubt. 
+
+- Es gibt nur ein einziges Select-Feld, das sich Daten aus der Academic Section holt: das Auswahlfeld des gewünschten Study Course (=Certificate). Die Auswahl möglicher Certificates geschieht dynamisch. Das Feld application_category der Certificates dient als Filter.
+
+- Wenn alle Pflichtfelder ausgefüllt sind, kann der Datensatz vom Applikant submitted werden. Der Status des Datensatzes ändert sich entsprechend. Nach der Einreichung erscheint ein Drucksymbol zum Ausdrucken eines Slips. Der Slip öffnet sich in einem separaten Fenster und zeigt nur eine Auswahl der Felder aus dem Datensatz an. Der Slip dient zur Vorlage bei der Vorprüfung an der Universität.
+
+- Nach der Massenprüfung an der Universität werden die Ergebnisse der Prüfung importiert und der Datensatz entweder auf 'non admitted' oder 'admitted' gesetzt. In den admitted Datensätzen wird zudem der certificate code importiert, des Kurses für den die Applikanten vorläufig zugelassen wurden. 
+
+- Ein paar Tage später werden die admitted Datensätze in das Portal kopiert (ca. 5000 bis 7000 Stück), d.h. in Studentenobjekte umgewandelt. Die Applicants-Tabelle wird nach einem Jahr geleert. Sehr bürokratisch ist die Verwaltung der Registration Number. CEST und Sandwich Applikanten bekommen eine eigene Registration Number verpasst (siehe WAeUPTool.py)::
+
+    if brain.screening_type in ('dp','pt','ct','cest','sandwich','sandwich2008') and brain.serial and brain.entry_session:
+        if brain.course1:
+            reg_no = "%s%s/%s" % (brain.course1[:3],brain.serial,brain.entry_session)
+        else:
+            reg_no = "%s%s/%s" % (brain.course_admitted[:3],brain.serial,brain.entry_session)
+    elif brain.screening_type in ('pume2','pde2'):  #second choice Uniben applicants
+        reg_no = brain.jamb_reg_no.upper()
+    else:
+        reg_no = brain.reg_no
+
+ Deswegen ist zu überlegen, ob wir nicht grundsätztlich zwei Registration Numbers verwalten: Einmal die portaleigene, die sich aus der Session, des Screening-Typen und einer fortlaufenden Nummer zusammensetzt und die den Datensatz identifiziert, und zum anderen die vorgegebene aus Nigeria, die auf dem Slip erscheint und bei der Datenverarbeitung keine weitere Rolle mehr spielt. Nur beim Import oder beim Transformieren der Daten muss aufgepasst werden, dass eine Registration Number  nicht zweimal vergeben werden darf, sie muss eindeutig sein. Studenten müssen hinterher über ihre Registration Number und Matriculation Number eindeutig identifizierbar sein. Das ist erfahrungsgemäß nicht immer der Fall. SIRP kann der Hochschule behilflich sein, Mehrfachzuordnungen zu identifizieren.
Index: main/waeup.sirp/trunk/docs/source/developerdocs/german/application.rst
===================================================================
--- main/waeup.sirp/trunk/docs/source/developerdocs/german/application.rst	(revision 5675)
+++ 	(revision )
@@ -1,67 +1,0 @@
-Application
-***********
-
-Das Application Package dient der Anmeldung einer großen Zahl von Personen (bis 50.000) zur Teilnahme an einem hochschulinternen Screening-Verfahren, welche die Zulassung zum Studium an der Hochschule regeln. Es gibt zur Zeit acht verschiedene Screening-Verfahren mit zum Teil mehreren unterschiedlichen Anmeldeformularen. Ein Screening wird in der Regel durch einen Massentest ('Exercise') begleitet. Manchmal spielt auch nur die Herkunft (z.B. aus dem armen Norden) oder das Geschlecht eine Rolle bei der Vergabe von Studienplätzen. Hier die verschiedenen Screening-Verfahren:
-
-**1. Universities**
-
-PUME: Post University Matriculation Examination 
- Die UME-Daten werden von JAMB übermittelt. Diese Studenten haben schon eine JAMB-Prüfung absolviert, die sich UME nennt. JAMB ist die zentrale nigerianische Zulassungsstelle, über die die Zuweisung der Applikanten an die verschiedenen Hochschulen gesteuert wird.
-    
-PUDE: Post University Direct Entrance
- Die UDE-Daten werden von JAMB übermittelt. Diese Studenten haben keine JAMB-Prüfung absolvieren müssen, ihre Daten werden nur weitergeleitet.
-    
-DP: Screening für Diploma Students
-
-CT: Screening für Certificate Students (einige Certificates tragen den offiziellen Namen 'Certificate'')
-    
-SANDWICH: Screening für Sanwich Programme Students (= Part-Time Degree in Education)
-    
-PT: Screening für Part-Time Degree Students (das sind ältere Studenten, die ein Abendstudium absolvieren)
-    
-(CEST: Common Entrance Screening Test) 
- Obwohl hier aufgeführt, ist CEST **kein** eigenständiges Screeningverfahren. Es ist ein Test, der bei verschiedenen Screening-Verfahren zum Einsatz kommt. Das hat mich anfangs auch sehr verwirrt, auch dass oft nur von Screening gesprochen wird und automatisch ein Test gemeint ist. So gibt es z.B. ein Screening Venue. Ich habe aber gelernt, dass ein Screening auch ganz ohne Test auskommen kann.    
-
-**2. (Federal) Colleges of Education**
-
-PCE: (Post-) Polytechnics and Colleges of Education Matriculation Examination
- Die PCE-Daten werden von JAMB übermittelt. Diese Studenten haben schon eine JAMB-Prüfung absolviert, die sich PCE nennt. Eigentlich müsste das Screening-Verfahren PPCE heißen, denn es ist das Pendent zu PUME. PCE-Applikanten streben als Abschluss das NCE =  Nigerian Certificate in Education an, welches drei Jahre dauert.
-    
-PRENCE: Preliminary-NCE = Screening für Vorstudium des Nigerian Certificate in Education
- Ich habe nicht ganz verstanden, welche Studenten so ein einjähriges Vorstudium absolvieren müssen. Vermutlich ist die Schulvorbildung entscheident (s. http://www.nasarawastate.org/articles/56/1/-College-of-Education-Akwanga/Page1.html). Die Pre-NCE Absolventen machen dann automatisch mit dem NCE-Programm weiter. Im SRP starten diese Studenten im Level 000 und gehen dann automatisch in das Level 100 über, ein Trick, der sich bewährt hat.
-    
-Darüber hinaus bieten die FCEs auch noch Sandwich und Diploma-Programme an. Die Formulare der Universitäten können benutzt werden.
-
-Die Frage tauchte auf, wie wir mit Screeningverfahren umgehen, für die es mehrere Anmeldeformulare gibt (z.B. PUME und PUME 2nd Choice). Ich schlage vor, jedes Anmeldeformular als eigenständigen Container für Application Records zu implementieren. Das Screening interessiert uns recht wenig, nur das Formular ist für uns interessant. An dem ApplicationForm-Container hängen dann die Informationen: Start Date, End Date (Deadline) und Title (Liste kann erweitert werden). Wir benötigen somit nur zwei Container-Ebenen, wobei die Id des ApplicationForm-Containers sich zusammensetzen muss aus dem Kürzel des Screeningverfahrens (+ evtl. Kennung unterschiedlicher Anmeldeformulare) + Sessionkennung. Der Pfad für eine PUME-Application könnte somit wie folgt aussehen: ``applications/pume_11/123456``. Innerhalb eines ApplicationForm-Containers ist die Id eindeutig. Beim Export der Daten über Sessiongrenzen hinweg müsste die Kennung, in diesem Fall ``pume_11``, der Id noch vorangestellt werden. In einer CSV-Datei würde die Id des Records dann ``pume_11_123456``` lauten. 
-
-Bei den Certificates gibt as das Attribut application_category. Dieses Attribut hilft bei der Gruppierung von Certificates, die den Antragstellern zur Auswahl gestellt werden. Hier werden die Screening-Typen DP, CT und PT noch einmal zusammengefasst, da sie anscheinend alle zu den gleichen Abschlüsse führen. Auch kommt bei all diesen Studenten der CEST zum Einsatz.
-
-Für den Worksflow müssen zwei Gruppen unterschieden werden. PUME, PUDE und PCE durchlaufen vorher das JAMB-Screening, d.h. JAMB liefert den Basisdatensatz, der inkl. der Passfotos über das Data Center importiert werden muss. Bei der Anmeldung im Portal müssen sich die Applikanten erst durch ihre JAMB Registration Number identifizieren. Zusätzlich geben sie noch eine Application PIN ein, mit der sie die Berechtigung gekauft haben, das Formular weiter auszufüllen zu dürfen. Alle anderen Applikanten geben nur die PIN ein. Ihr Datensatz wird in diesem Moment erzeugt. Als Registration Number wird dann (anstatt die JAMB RegNo) die Batch- und die Seriennummer der Scratch Card verwendet (Bauweise s.u.).
-
-Die Vorgehensweise und der Workflow ist wie folgt:
-
-- JAMB-Datensätze werden im Status 'created' importiert.
-
-- Applikanten öffnen die entsprechende Eingabemaske für die PIN und ggf. der JAMB Registration Number. Der PIN Prefix entspricht dem obigen Screeining-Kürzel. Nach dem ersten Zugriff auf einen Datensatz ändert sich dessen Status nach 'edited'.
-
-- Das Formular öffnet sich, das Passbild wird hochgeladen (falls noch nicht vorhanden) und die Felder werden ausgefüllt. Etwas komplizierter sind die Eingabefelder für Zeugnisnoten. Das müsste man sich mal im alten SRP anschauen.Das Passbild wird in einem separaten Verzeichnis mit der Registration Number als Name abgespeichert. Nur jpg-Bilder mit einer begrenzten  Bytegröße werden erlaubt. 
-
-- Es gibt nur ein einziges Select-Feld, das sich Daten aus der Academic Section holt: das Auswahlfeld des gewünschten Study Course (=Certificate). Die Auswahl möglicher Certificates geschieht dynamisch. Das Feld application_category der Certificates dient als Filter.
-
-- Wenn alle Pflichtfelder ausgefüllt sind, kann der Datensatz vom Applikant submitted werden. Der Status des Datensatzes ändert sich entsprechend. Nach der Einreichung erscheint ein Drucksymbol zum Ausdrucken eines Slips. Der Slip öffnet sich in einem separaten Fenster und zeigt nur eine Auswahl der Felder aus dem Datensatz an. Der Slip dient zur Vorlage bei der Vorprüfung an der Universität.
-
-- Nach der Massenprüfung an der Universität werden die Ergebnisse der Prüfung importiert und der Datensatz entweder auf 'non admitted' oder 'admitted' gesetzt. In den admitted Datensätzen wird zudem der certificate code importiert, des Kurses für den die Applikanten vorläufig zugelassen wurden. 
-
-- Ein paar Tage später werden die admitted Datensätze in das Portal kopiert (ca. 5000 bis 7000 Stück), d.h. in Studentenobjekte umgewandelt. Die Applicants-Tabelle wird nach einem Jahr geleert. Sehr bürokratisch ist die Verwaltung der Registration Number. CEST und Sandwich Applikanten bekommen eine eigene Registration Number verpasst (siehe WAeUPTool.py)::
-
-    if brain.screening_type in ('dp','pt','ct','cest','sandwich','sandwich2008') and brain.serial and brain.entry_session:
-        if brain.course1:
-            reg_no = "%s%s/%s" % (brain.course1[:3],brain.serial,brain.entry_session)
-        else:
-            reg_no = "%s%s/%s" % (brain.course_admitted[:3],brain.serial,brain.entry_session)
-    elif brain.screening_type in ('pume2','pde2'):  #second choice Uniben applicants
-        reg_no = brain.jamb_reg_no.upper()
-    else:
-        reg_no = brain.reg_no
-
- Deswegen ist zu überlegen, ob wir nicht grundsätztlich zwei Registration Numbers verwalten: Einmal die portaleigene, die sich aus der Session, des Screening-Typen und einer fortlaufenden Nummer zusammensetzt und die den Datensatz identifiziert, und zum anderen die vorgegebene aus Nigeria, die auf dem Slip erscheint und bei der Datenverarbeitung keine weitere Rolle mehr spielt. Nur beim Import oder beim Transformieren der Daten muss aufgepasst werden, dass eine Registration Number  nicht zweimal vergeben werden darf, sie muss eindeutig sein. Studenten müssen hinterher über ihre Registration Number und Matriculation Number eindeutig identifizierbar sein. Das ist erfahrungsgemäß nicht immer der Fall. SIRP kann der Hochschule behilflich sein, Mehrfachzuordnungen zu identifizieren.
Index: main/waeup.sirp/trunk/docs/source/developerdocs/german/index.rst
===================================================================
--- main/waeup.sirp/trunk/docs/source/developerdocs/german/index.rst	(revision 5675)
+++ main/waeup.sirp/trunk/docs/source/developerdocs/german/index.rst	(revision 5676)
@@ -13,4 +13,4 @@
    datacenter
    accesscodes
-   application
+   applicants
    users