Index: /main/waeup.sirp/trunk/src/waeup/sirp/applicants/jambtables/__init__.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/applicants/jambtables/__init__.py	(revision 5688)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/applicants/jambtables/__init__.py	(revision 5689)
@@ -1,9 +1,10 @@
 # Make this a package.
-from waeup.sirp.jambtables.applicants import (
+from waeup.sirp.applicants.jambtables.applicants import (
     ResultEntry, Applicant, ApplicantFactory, ApplicantContainer,
     )
-from waeup.sirp.jambtables.batching import ApplicantImporter
-from waeup.sirp.jambtables.jambtables import JAMBDataTable, JAMB_DATA_HEADERS
-
+from waeup.sirp.applicants.jambtables.batching import ApplicantImporter
+from waeup.sirp.applicants.jambtables.jambtables import (
+    JAMBDataTable, JAMB_DATA_HEADERS
+    )
 
 __all__ = (
Index: /main/waeup.sirp/trunk/src/waeup/sirp/applicants/jambtables/applicants.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/applicants/jambtables/applicants.py	(revision 5688)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/applicants/jambtables/applicants.py	(revision 5689)
@@ -25,5 +25,5 @@
 from zope.schema.fieldproperty import FieldProperty
 from waeup.sirp.interfaces import IWAeUPSIRPPluggable
-from waeup.sirp.jambtables.interfaces import (
+from waeup.sirp.applicants.jambtables.interfaces import (
     IResultEntry, IApplicant, IApplicantContainer, IApplicantPDEEditData
     )
Index: /main/waeup.sirp/trunk/src/waeup/sirp/applicants/jambtables/authentication.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/applicants/jambtables/authentication.py	(revision 5688)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/applicants/jambtables/authentication.py	(revision 5689)
@@ -35,8 +35,10 @@
 from zope.session.interfaces import ISession
 from waeup.sirp.authentication import Account, PrincipalInfo
-from waeup.sirp.jambtables.interfaces import (
+from waeup.sirp.applicants.jambtables.interfaces import (
     IApplicantPrincipalInfo, IApplicantPrincipal, IApplicantSessionCredentials,
     IJAMBApplicantSessionCredentials)
-from waeup.sirp.jambtables.util import get_applicant_data, application_exists
+from waeup.sirp.applicants.jambtables.util import (
+    get_applicant_data, application_exists,
+    )
 from waeup.sirp.accesscodes import get_access_code
 
Index: /main/waeup.sirp/trunk/src/waeup/sirp/applicants/jambtables/batching.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/applicants/jambtables/batching.py	(revision 5688)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/applicants/jambtables/batching.py	(revision 5689)
@@ -26,5 +26,5 @@
 from waeup.sirp.interfaces import IBatchProcessor
 from waeup.sirp.utils.batching import BatchProcessor
-from waeup.sirp.jambtables.interfaces import IApplicantPDEImportData
+from waeup.sirp.applicants.jambtables.interfaces import IApplicantPDEImportData
 
 class ApplicantImporter(BatchProcessor):
Index: /main/waeup.sirp/trunk/src/waeup/sirp/applicants/jambtables/jambtables.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/applicants/jambtables/jambtables.py	(revision 5688)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/applicants/jambtables/jambtables.py	(revision 5689)
@@ -34,5 +34,5 @@
 from BTrees.Length import Length
 
-from waeup.sirp.jambtables.interfaces import IJAMBDataTable
+from waeup.sirp.applicants.jambtables.interfaces import IJAMBDataTable
 
 #: The header fields required for a valid JAMB table CSV file.
Index: /main/waeup.sirp/trunk/src/waeup/sirp/applicants/jambtables/tests/test_authentication.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/applicants/jambtables/tests/test_authentication.py	(revision 5688)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/applicants/jambtables/tests/test_authentication.py	(revision 5689)
@@ -34,9 +34,9 @@
 from zope.site.testing import siteSetUp, siteTearDown
 from zope.testing import cleanup
-from waeup.sirp.jambtables.authentication import (
+from waeup.sirp.applicants.jambtables.authentication import (
     ApplicantsAuthenticatorPlugin, WAeUPApplicantCredentialsPlugin,
     ApplicantCredentials, AuthenticatedApplicantPrincipalFactory,
     ApplicantPrincipalInfo, ApplicantPrincipal)
-from waeup.sirp.jambtables.interfaces import(
+from waeup.sirp.applicants.jambtables.interfaces import(
     IJAMBApplicantSessionCredentials,)
 
Index: /main/waeup.sirp/trunk/src/waeup/sirp/applicants/jambtables/tests/test_batching.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/applicants/jambtables/tests/test_batching.py	(revision 5688)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/applicants/jambtables/tests/test_batching.py	(revision 5689)
@@ -26,5 +26,5 @@
 from zope.interface import verify
 from waeup.sirp.interfaces import IBatchProcessor
-from waeup.sirp.jambtables import ApplicantImporter
+from waeup.sirp.applicants.jambtables import ApplicantImporter
 
 class ApplicantImporterTest(unittest.TestCase):
Index: /main/waeup.sirp/trunk/src/waeup/sirp/applicants/jambtables/tests/test_interfaces.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/applicants/jambtables/tests/test_interfaces.py	(revision 5688)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/applicants/jambtables/tests/test_interfaces.py	(revision 5689)
@@ -27,5 +27,5 @@
 from zope.component import getMultiAdapter
 from zope.publisher.browser import TestRequest
-from waeup.sirp.jambtables.interfaces import GenderSource
+from waeup.sirp.applicants.jambtables.interfaces import GenderSource
 
 class InterfacesTest(unittest.TestCase):
Index: /main/waeup.sirp/trunk/src/waeup/sirp/applicants/jambtables/tests/test_jambtables.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/applicants/jambtables/tests/test_jambtables.py	(revision 5688)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/applicants/jambtables/tests/test_jambtables.py	(revision 5689)
@@ -39,6 +39,6 @@
 from waeup.sirp.app import University
 from waeup.sirp.datacenter import DataCenter
-from waeup.sirp.jambtables import JAMBDataTable
-from waeup.sirp.jambtables.interfaces import IJAMBDataTable
+from waeup.sirp.applicants.jambtables import JAMBDataTable
+from waeup.sirp.applicants.jambtables.interfaces import IJAMBDataTable
 
 
Index: /main/waeup.sirp/trunk/src/waeup/sirp/applicants/jambtables/tests/test_util.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/applicants/jambtables/tests/test_util.py	(revision 5688)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/applicants/jambtables/tests/test_util.py	(revision 5689)
@@ -27,7 +27,9 @@
 from zope.site.folder import Folder
 from zope.site.testing import siteSetUp, siteTearDown
-from waeup.sirp.jambtables.tests.test_authentication import (
+from waeup.sirp.applicants.jambtables.tests.test_authentication import (
     FakeSite)
-from waeup.sirp.jambtables.util import application_exists, get_applicant_data
+from waeup.sirp.applicants.jambtables.util import (
+    application_exists, get_applicant_data
+    )
 
 class HelperToolsTest(unittest.TestCase):