Index: /main/waeup.plonetheme/trunk/waeup/plonetheme/browser/templates/footer.pt
===================================================================
--- /main/waeup.plonetheme/trunk/waeup/plonetheme/browser/templates/footer.pt	(revision 5705)
+++ /main/waeup.plonetheme/trunk/waeup/plonetheme/browser/templates/footer.pt	(revision 5706)
@@ -7,35 +7,43 @@
             <tr>
             <th>
-                Footer Column 1 Header
+                WAeUP Nigeria
             </th>
-            <th>
-                Footer Column 2 Header
-            </th>
-            <th>
-                Footer Column 3 Header
+            <th style="text-align: right;">
+                WAeUP Germany
             </th>
             </tr>                        
             <tr>
             <td>
-                Footer Column 1 Text
+                BT Education Services
             </td>
-            <td>
-                Footer Column 2 Text
-            </td>
-            <td>
-                Footer Column 3 Text       
+            <td style="text-align: right;">
+                c/o Dr. Henrik Bettermann
             </td>
             </tr>
             <tr>
             <td>
-                Footer Column 1 Text
+                8B Ademola St, Off Awolowo Rd
             </td>
-            <td>
-                Footer Column 2 Text
-            </td>
-            <td>
-                Footer Column 3 Text       
+            <td style="text-align: right;">
+                Marsch 5, OT Kuensche
             </td>
             </tr>            
+            <tr>
+            <td>
+                S/W Ikoyi-Lagos, Nigeria
+            </td>
+            <td style="text-align: right;">
+                29439 Luechow, Germany
+            </td>
+            </tr>     
+   
+            <tr>
+            <td>
+                Phone +234 1 2673205
+            </td>
+            <td style="text-align: right;">
+                Phone +49 5841 961523
+            </td>
+            </tr>                                        
         </table>
         </div>
Index: /main/waeup.plonetheme/trunk/waeup/plonetheme/profiles/default/actions.xml
===================================================================
--- /main/waeup.plonetheme/trunk/waeup/plonetheme/profiles/default/actions.xml	(revision 5705)
+++ /main/waeup.plonetheme/trunk/waeup/plonetheme/profiles/default/actions.xml	(revision 5706)
@@ -33,8 +33,55 @@
    <property name="visible">True</property>
   </object>  
-  
-  
  </object>
  
+ <object name="site_actions" meta_type="CMF Action Category">
+  <property name="title"></property>
+  <object name="sitemap" meta_type="CMF Action" i18n:domain="plone">
+   <property name="title" i18n:translate="">Site Map</property>
+   <property name="description" i18n:translate=""></property>
+   <property name="url_expr">string:${globals_view/navigationRootUrl}/sitemap</property>
+   <property name="icon_expr"></property>
+   <property name="available_expr"></property>
+   <property name="permissions">
+    <element value="View"/>
+   </property>
+   <property name="visible">False</property>
+  </object>
+  <object name="accessibility" meta_type="CMF Action" i18n:domain="plone">
+   <property name="title" i18n:translate="">Accessibility</property>
+   <property name="description" i18n:translate=""></property>
+   <property
+      name="url_expr">string:${globals_view/navigationRootUrl}/accessibility-info</property>
+   <property name="icon_expr"></property>
+   <property name="available_expr"></property>
+   <property name="permissions">
+    <element value="View"/>
+   </property>
+   <property name="visible">True</property>
+  </object>
+  <object name="contact" meta_type="CMF Action" i18n:domain="plone">
+   <property name="title" i18n:translate="">Contact</property>
+   <property name="description" i18n:translate=""></property>
+   <property name="url_expr">string:${globals_view/navigationRootUrl}/contact-info</property>
+   <property name="icon_expr"></property>
+   <property name="available_expr"></property>
+   <property name="permissions">
+    <element value="View"/>
+   </property>
+   <property name="visible">True</property>
+  </object>
+  <object name="copyright" meta_type="CMF Action" i18n:domain="plone">
+   <property name="title" i18n:translate="">Copyright</property>
+   <property name="description" i18n:translate=""></property>
+   <property
+      name="url_expr">string:${portal_url}/copyright-info</property>
+   <property name="icon_expr"></property>
+   <property name="available_expr"></property>
+   <property name="permissions">
+    <element value="View"/>
+   </property>
+   <property name="visible">True</property>
+  </object>
+ </object> 
  
  
Index: /main/waeup.plonetheme/trunk/waeup/plonetheme/skins/waeup_plonetheme_custom_templates/member_listing.pt
===================================================================
--- /main/waeup.plonetheme/trunk/waeup/plonetheme/skins/waeup_plonetheme_custom_templates/member_listing.pt	(revision 5705)
+++ /main/waeup.plonetheme/trunk/waeup/plonetheme/skins/waeup_plonetheme_custom_templates/member_listing.pt	(revision 5706)
@@ -15,4 +15,5 @@
                    results python:listing_allowed and here.portal_membership.searchForMembers(request) or [];
                    DateTime python:modules['DateTime'].DateTime; 
+                   is_anonymous python:here.portal_membership.isAnonymousUser();
                    is_manager python:test(here.portal_membership.checkPermission('Manage portal', here), 1, 0); ">
 
@@ -50,5 +51,5 @@
                                     portrait python:pm.getPersonalPortrait(id);
                                     home_base python:pm.getHomeUrl(id, verifyPermission=1);"
-                        tal:condition="python:Group[0] in result.getGroupNames() and not id.endswith('1')">
+                        tal:condition="python:Group[0] in result.getGroupNames() and not id.endswith('1') and (author['fullname'] or not is_anonymous)">
     
                       <td>
Index: /main/waeup.plonetheme/trunk/waeup/plonetheme/skins/waeup_plonetheme_styles/ploneCustom.css.dtml
===================================================================
--- /main/waeup.plonetheme/trunk/waeup/plonetheme/skins/waeup_plonetheme_styles/ploneCustom.css.dtml	(revision 5705)
+++ /main/waeup.plonetheme/trunk/waeup/plonetheme/skins/waeup_plonetheme_styles/ploneCustom.css.dtml	(revision 5706)
@@ -6,8 +6,13 @@
 table.footer th,
 table.footer td {
-    padding: 0.5em 1em;
+    padding: 0.1em 3em;
     vertical-align: top;
-}
-
+    text-align: left;
+    font-size: 0.9em;
+}
+
+table.footer th {
+    padding-bottom: 0.5em;
+}
 
 