Index: /main/waeup.plonetheme/trunk/waeup.plonetheme.egg-info/SOURCES.txt
===================================================================
--- /main/waeup.plonetheme/trunk/waeup.plonetheme.egg-info/SOURCES.txt	(revision 5707)
+++ /main/waeup.plonetheme/trunk/waeup.plonetheme.egg-info/SOURCES.txt	(revision 5708)
@@ -36,18 +36,36 @@
 waeup/plonetheme/browser/templates/foto_banner.pt
 waeup/plonetheme/locales/README.txt
+waeup/plonetheme/locales/plone.pot
+waeup/plonetheme/locales/waeup.pot
+waeup/plonetheme/locales/de/LC_MESSAGES/plone.mo
+waeup/plonetheme/locales/de/LC_MESSAGES/plone.po
+waeup/plonetheme/locales/de/LC_MESSAGES/waeup.mo
+waeup/plonetheme/locales/de/LC_MESSAGES/waeup.po
+waeup/plonetheme/locales/en/LC_MESSAGES/waeup.mo
+waeup/plonetheme/locales/en/LC_MESSAGES/waeup.po
+waeup/plonetheme/locales/fr/LC_MESSAGES/plone.mo
+waeup/plonetheme/locales/fr/LC_MESSAGES/plone.po
+waeup/plonetheme/locales/fr/LC_MESSAGES/waeup.mo
+waeup/plonetheme/locales/fr/LC_MESSAGES/waeup.po
+waeup/plonetheme/profiles/default/actions.xml
 waeup/plonetheme/profiles/default/cssregistry.xml
 waeup/plonetheme/profiles/default/jsregistry.xml
 waeup/plonetheme/profiles/default/metadata.xml
+waeup/plonetheme/profiles/default/rolemap.xml
 waeup/plonetheme/profiles/default/skins.xml
 waeup/plonetheme/profiles/default/viewlets.xml
 waeup/plonetheme/profiles/default/waeup.plonetheme_various.txt
 waeup/plonetheme/skins/waeup_plonetheme_custom_images/CONTENT.txt
-waeup/plonetheme/skins/waeup_plonetheme_custom_images/horizont.jpg
+waeup/plonetheme/skins/waeup_plonetheme_custom_images/defaultUser.gif
+waeup/plonetheme/skins/waeup_plonetheme_custom_images/favicon.ico
+waeup/plonetheme/skins/waeup_plonetheme_custom_images/horizon.jpg
 waeup/plonetheme/skins/waeup_plonetheme_custom_images/logo.png
 waeup/plonetheme/skins/waeup_plonetheme_custom_images/logo_alternative.png
 waeup/plonetheme/skins/waeup_plonetheme_custom_templates/CONTENT.txt
-waeup/plonetheme/skins/waeup_plonetheme_custom_templates/main_template.pt
+waeup/plonetheme/skins/waeup_plonetheme_custom_templates/author.cpt
+waeup/plonetheme/skins/waeup_plonetheme_custom_templates/author.cpt.metadata
+waeup/plonetheme/skins/waeup_plonetheme_custom_templates/author_feedback_template.pt
+waeup/plonetheme/skins/waeup_plonetheme_custom_templates/member_search_form.pt
 waeup/plonetheme/skins/waeup_plonetheme_styles/CONTENT.txt
 waeup/plonetheme/skins/waeup_plonetheme_styles/base_properties.props
-waeup/plonetheme/skins/waeup_plonetheme_styles/horizont.jpg
 waeup/plonetheme/skins/waeup_plonetheme_styles/ploneCustom.css.dtml
Index: /main/waeup.plonetheme/trunk/waeup/plonetheme/locales/de/LC_MESSAGES/plone.po
===================================================================
--- /main/waeup.plonetheme/trunk/waeup/plonetheme/locales/de/LC_MESSAGES/plone.po	(revision 5708)
+++ /main/waeup.plonetheme/trunk/waeup/plonetheme/locales/de/LC_MESSAGES/plone.po	(revision 5708)
@@ -0,0 +1,23 @@
+# Translation of the customized version of plone.pot to German
+# This works only with Plone 4, otherwise the whole plone.po would be overwritten
+# Henrik Bettermann <henrik@waeup.org>, 2011.
+msgid ""
+msgstr ""
+"Project-Id-Version: waeup.plonethemes\n"
+"POT-Creation-Date: 2011-02-07 17:26+0000\n"
+"PO-Revision-Date: 2011-02-07 17:26+0000\n"
+"Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
+"Language-Team: WAeUP Germany\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=utf-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=1; plural=0\n"
+"Language-Code: de\n"
+"Language-Name: Deutsch\n"
+"Preferred-Encodings: utf-8 latin1\n"
+"Domain: plone\n"
+
+#. Default: "Members"
+#: ../profiles/default/actions.xml
+msgid "Members"
+msgstr "Mitglieder"
Index: /main/waeup.plonetheme/trunk/waeup/plonetheme/locales/de/LC_MESSAGES/waeup.po
===================================================================
--- /main/waeup.plonetheme/trunk/waeup/plonetheme/locales/de/LC_MESSAGES/waeup.po	(revision 5708)
+++ /main/waeup.plonetheme/trunk/waeup/plonetheme/locales/de/LC_MESSAGES/waeup.po	(revision 5708)
@@ -0,0 +1,42 @@
+# Henrik Bettermann <henrik@waeup.org>, 2011.
+msgid ""
+msgstr ""
+"Project-Id-Version: waeup.plonethemes\n"
+"POT-Creation-Date: 2011-02-07 17:26+0000\n"
+"PO-Revision-Date: 2011-02-07 17:26+0000\n"
+"Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
+"Language-Team: WAeUP Germany\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=utf-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=1; plural=0\n"
+"Language-Code: de\n"
+"Language-Name: Deutsch\n"
+"Preferred-Encodings: utf-8 latin1\n"
+"Domain: waeup\n"
+
+#. Default: "About Us"
+#: ../profiles/default/./actions.xml
+msgid "About Us"
+msgstr "Über uns"
+
+#. Default: "Products"
+#: ../profiles/default/./actions.xml
+msgid "Products"
+msgstr "Produkte"
+
+#. Default: "No members found."
+#: ../skins/waeup_plonetheme_custom_templates/./member_listing.pt:112
+msgid "description_no_results_found"
+msgstr "Keine Mitglieder gefunden."
+
+#. Default: "Project Members"
+#: ../skins/waeup_plonetheme_custom_templates/./member_listing.pt:20
+msgid "heading_list_members"
+msgstr "Projektmitglieder"
+
+#. Default: "You are not allowed to list portal members."
+#: ../skins/waeup_plonetheme_custom_templates/./member_listing.pt:24
+msgid "member_listing_not_allowed"
+msgstr "Das Mitgliederverzeichnis nicht einsehbar."
+
Index: /main/waeup.plonetheme/trunk/waeup/plonetheme/locales/en/LC_MESSAGES/waeup.po
===================================================================
--- /main/waeup.plonetheme/trunk/waeup/plonetheme/locales/en/LC_MESSAGES/waeup.po	(revision 5708)
+++ /main/waeup.plonetheme/trunk/waeup/plonetheme/locales/en/LC_MESSAGES/waeup.po	(revision 5708)
@@ -0,0 +1,42 @@
+# Henrik Bettermann <henrik@waeup.org>, 2011.
+msgid ""
+msgstr ""
+"Project-Id-Version: waeup.plonethemes\n"
+"POT-Creation-Date: 2011-02-07 17:26+0000\n"
+"PO-Revision-Date: 2011-02-07 17:26+0000\n"
+"Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
+"Language-Team: WAeUP Germany\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=utf-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=1; plural=0\n"
+"Language-Code: en\n"
+"Language-Name: English\n"
+"Preferred-Encodings: utf-8 latin1\n"
+"Domain: waeup\n"
+
+#. Default: "About Us"
+#: ../profiles/default/./actions.xml
+msgid "About Us"
+msgstr ""
+
+#. Default: "Products"
+#: ../profiles/default/./actions.xml
+msgid "Products"
+msgstr ""
+
+#. Default: "No members found."
+#: ../skins/waeup_plonetheme_custom_templates/./member_listing.pt:112
+msgid "description_no_results_found"
+msgstr "No members found."
+
+#. Default: "Project Members"
+#: ../skins/waeup_plonetheme_custom_templates/./member_listing.pt:20
+msgid "heading_list_members"
+msgstr "Project Members"
+
+#. Default: "You are not allowed to list portal members."
+#: ../skins/waeup_plonetheme_custom_templates/./member_listing.pt:24
+msgid "member_listing_not_allowed"
+msgstr "You are not allowed to list portal members."
+
Index: /main/waeup.plonetheme/trunk/waeup/plonetheme/locales/fr/LC_MESSAGES/plone.po
===================================================================
--- /main/waeup.plonetheme/trunk/waeup/plonetheme/locales/fr/LC_MESSAGES/plone.po	(revision 5708)
+++ /main/waeup.plonetheme/trunk/waeup/plonetheme/locales/fr/LC_MESSAGES/plone.po	(revision 5708)
@@ -0,0 +1,23 @@
+# Translation of the customized version of plone.pot to German
+# This works only with Plone 4, otherwise the whole plone.po would be overwritten
+# Henrik Bettermann <henrik@waeup.org>, 2011.
+msgid ""
+msgstr ""
+"Project-Id-Version: waeup.plonethemes\n"
+"POT-Creation-Date: 2011-02-07 17:26+0000\n"
+"PO-Revision-Date: 2011-02-07 17:26+0000\n"
+"Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
+"Language-Team: WAeUP Nigeria\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=utf-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=1; plural=0\n"
+"Language-Code: fr\n"
+"Language-Name: French\n"
+"Preferred-Encodings: utf-8 latin1\n"
+"Domain: plone\n"
+
+#. Default: "Members"
+#: ../profiles/default/actions.xml
+msgid "Members"
+msgstr "Membres"
Index: /main/waeup.plonetheme/trunk/waeup/plonetheme/locales/fr/LC_MESSAGES/waeup.po
===================================================================
--- /main/waeup.plonetheme/trunk/waeup/plonetheme/locales/fr/LC_MESSAGES/waeup.po	(revision 5708)
+++ /main/waeup.plonetheme/trunk/waeup/plonetheme/locales/fr/LC_MESSAGES/waeup.po	(revision 5708)
@@ -0,0 +1,42 @@
+# Henrik Bettermann <henrik@waeup.org>, 2011.
+msgid ""
+msgstr ""
+"Project-Id-Version: waeup.plonethemes\n"
+"POT-Creation-Date: 2011-02-07 17:26+0000\n"
+"PO-Revision-Date: 2011-02-07 17:26+0000\n"
+"Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
+"Language-Team: WAeUP Nigeria\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=utf-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=1; plural=0\n"
+"Language-Code: fr\n"
+"Language-Name: French\n"
+"Preferred-Encodings: utf-8 latin1\n"
+"Domain: waeup\n"
+
+#. Default: "About Us"
+#: ../profiles/default/./actions.xml
+msgid "About Us"
+msgstr ""
+
+#. Default: "Products"
+#: ../profiles/default/./actions.xml
+msgid "Products"
+msgstr ""
+
+#. Default: "No members found."
+#: ../skins/waeup_plonetheme_custom_templates/./member_listing.pt:112
+msgid "description_no_results_found"
+msgstr ""
+
+#. Default: "Project Members"
+#: ../skins/waeup_plonetheme_custom_templates/./member_listing.pt:20
+msgid "heading_list_members"
+msgstr ""
+
+#. Default: "You are not allowed to list portal members."
+#: ../skins/waeup_plonetheme_custom_templates/./member_listing.pt:24
+msgid "member_listing_not_allowed"
+msgstr ""
+
Index: /main/waeup.plonetheme/trunk/waeup/plonetheme/locales/plone.pot
===================================================================
--- /main/waeup.plonetheme/trunk/waeup/plonetheme/locales/plone.pot	(revision 5708)
+++ /main/waeup.plonetheme/trunk/waeup/plonetheme/locales/plone.pot	(revision 5708)
@@ -0,0 +1,23 @@
+# Translation of the customized version of plone.pot to German
+# This works only with Plone 4, otherwise the whole plone.po would be overwritten
+# Henrik Bettermann <henrik@waeup.org>, 2011.
+msgid ""
+msgstr ""
+"Project-Id-Version: waeup.plonethemes\n"
+"POT-Creation-Date: 2011-02-07 17:26+0000\n"
+"PO-Revision-Date: 2011-02-07 17:26+0000\n"
+"Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
+"Language-Team: WAeUP Germany\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=utf-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=1; plural=0\n"
+"Language-Code: en\n"
+"Language-Name: English\n"
+"Preferred-Encodings: utf-8 latin1\n"
+"Domain: plone\n"
+
+#. Default: "Members"
+#: ../profiles/default/actions.xml
+msgid "Members"
+msgstr ""
Index: /main/waeup.plonetheme/trunk/waeup/plonetheme/locales/waeup.pot
===================================================================
--- /main/waeup.plonetheme/trunk/waeup/plonetheme/locales/waeup.pot	(revision 5708)
+++ /main/waeup.plonetheme/trunk/waeup/plonetheme/locales/waeup.pot	(revision 5708)
@@ -0,0 +1,41 @@
+# Henrik Bettermann <henrik@waeup.org>, 2011.
+msgid ""
+msgstr ""
+"Project-Id-Version: waeup.plonethemes\n"
+"POT-Creation-Date: 2011-02-07 17:26+0000\n"
+"PO-Revision-Date: 2011-02-07 17:26+0000\n"
+"Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
+"Language-Team: WAeUP Germany\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=utf-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=1; plural=0\n"
+"Language-Code: en\n"
+"Language-Name: English\n"
+"Preferred-Encodings: utf-8 latin1\n"
+"Domain: waeup\n"
+
+#. Default: "No members found."
+#: ../skins/waeup_plonetheme_custom_templates/./member_listing.pt:112
+msgid "description_no_results_found"
+msgstr "No members found."
+
+#. Default: "Project Members"
+#: ../skins/waeup_plonetheme_custom_templates/./member_listing.pt:20
+msgid "heading_list_members"
+msgstr "Project Members"
+
+#. Default: "You are not allowed to list portal members."
+#: ../skins/waeup_plonetheme_custom_templates/./member_listing.pt:24
+msgid "member_listing_not_allowed"
+msgstr "You are not allowed to list portal members."
+
+#. Default: "Products"
+#: ../profiles/default/./actions.xml
+msgid "Products"
+msgstr ""
+
+#. Default: "About Us"
+#: ../profiles/default/./actions.xml
+msgid "About Us"
+msgstr ""
Index: /main/waeup.plonetheme/trunk/waeup/plonetheme/profiles/default/actions.xml
===================================================================
--- /main/waeup.plonetheme/trunk/waeup/plonetheme/profiles/default/actions.xml	(revision 5707)
+++ /main/waeup.plonetheme/trunk/waeup/plonetheme/profiles/default/actions.xml	(revision 5708)
@@ -21,9 +21,9 @@
   </object>
   
-  <object name="waeupmembers" meta_type="CMF Action" i18n:domain="plone">
-   <property name="title" i18n:translate="">Members</property>
+  <object name="products" meta_type="CMF Action" i18n:domain="waeup">
+   <property name="title" i18n:translate="">Products</property>
    <property name="description" i18n:translate=""></property>
    <property
-      name="url_expr">string:${globals_view/navigationRootUrl}/member_listing</property>
+      name="url_expr">string:${globals_view/navigationRootUrl}/products</property>
    <property name="icon_expr"></property>
    <property name="available_expr"></property>
@@ -32,5 +32,32 @@
    </property>
    <property name="visible">True</property>
-  </object>  
+  </object>    
+  
+  <object name="srp" meta_type="CMF Action" i18n:domain="waeup">
+   <property name="title" i18n:translate="">About Us</property>
+   <property name="description" i18n:translate=""></property>
+   <property
+      name="url_expr">string:${globals_view/navigationRootUrl}/about</property>
+   <property name="icon_expr"></property>
+   <property name="available_expr"></property>
+   <property name="permissions">
+    <element value="View"/>
+   </property>
+   <property name="visible">True</property>
+  </object>      
+  
+  <object name="waeupmembers" meta_type="CMF Action" i18n:domain="plone">
+   <property name="title" i18n:translate="">Members</property>
+   <property name="description" i18n:translate=""></property>
+   <property
+      name="url_expr">string:${globals_view/navigationRootUrl}/Members</property>
+   <property name="icon_expr"></property>
+   <property name="available_expr"></property>
+   <property name="permissions">
+    <element value="View"/>
+   </property>
+   <property name="visible">True</property>
+  </object>    
+  
  </object>
  
Index: in/waeup.plonetheme/trunk/waeup/plonetheme/skins/waeup_plonetheme_custom_templates/member_listing.pt
===================================================================
--- /main/waeup.plonetheme/trunk/waeup/plonetheme/skins/waeup_plonetheme_custom_templates/member_listing.pt	(revision 5707)
+++ 	(revision )
@@ -1,119 +1,0 @@
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en"
-      xmlns:tal="http://xml.zope.org/namespaces/tal"
-      xmlns:metal="http://xml.zope.org/namespaces/metal"
-      xmlns:i18n="http://xml.zope.org/namespaces/i18n"
-      lang="en"
-      metal:use-macro="here/main_template/macros/master"
-      i18n:domain="plone">
-
-<metal:block fill-slot="top_slot"
-             tal:define="dummy python:request.set('disable_border',1)" />
-
-<metal:main fill-slot="main"
-       tal:define="search_view here/@@pas_search;
-                   listing_allowed python: checkPermission('List portal members', here);
-                   results python:listing_allowed and here.portal_membership.searchForMembers(request) or [];
-                   DateTime python:modules['DateTime'].DateTime; 
-                   is_anonymous python:here.portal_membership.isAnonymousUser();
-                   is_manager python:test(here.portal_membership.checkPermission('Manage portal', here), 1, 0); ">
-
-    <h1 class="documentFirstHeading"
-        i18n:translate="heading_search_results">Project Members</h1>
-
-    <div id="content-core">
-        <p tal:condition="not: listing_allowed"
-            i18n:translate="member_listing_not_allowed">
-          You are not allowed to list portal members.
-        </p>
-        <div tal:condition="results">
-
-
-
-            <div tal:define="pm context/@@plone_tools/membership;
-                             portal_url context/@@plone_portal_state/portal_url">
-
-
-
-            <table align="left" width=100%>
-            <tbody>
-              <tal:repeat tal:define="Groups python:(('Nigeria','Nigerian Group'), ('Germany','German Group'), ('Ghana','Ghanaian Group'), ('Niger','Niger Group'))"
-                          tal:repeat="Group Groups">
-              <tr><td colspan="5">
-                  <h2 style="padding: 0.5em 0em" tal:content="python:Group[1]" />
-              </td></tr>
-              
-            
-              
-              <tal:block tal:repeat="result results">
-
-                    <tr tal:define="id result/getUserName | nothing;
-                                    author python:pm.getMemberInfo(id) or {};
-                                    portrait python:pm.getPersonalPortrait(id);
-                                    home_base python:pm.getHomeUrl(id, verifyPermission=1);"
-                        tal:condition="python:Group[0] in result.getGroupNames() and not id.endswith('1') and (author['fullname'] or not is_anonymous)">
-    
-                      <td>
-                      <a href="#" tal:attributes="href portrait/absolute_url">
-                      <img src="" alt="" class="portraitPhoto" width="25" height="33"
-                           style="float: left; margin: 0em;"
-                           tal:attributes="src portrait/absolute_url" />
-                      </a>
-                      </td>
-    
-                                    
-                      <td>
-                       <span tal:condition="python: is_manager">
-                         <a href="#" tal:attributes="href string:${portal_url}/portal_memberdata/prefs_user_details?userid=${id}">
-                           <span tal:content="id">id</span>
-                         </a>
-                       </span>
-                      </td>    
-                                                     
-                      <td>
-                       <span tal:condition="python: author['fullname']">
-                         <a href="#" tal:attributes="href string:${portal_url}/author/${id}">
-                           <span tal:content="python: author['fullname']">name</span>
-                         </a>
-                       </span>
-                       <span tal:condition="python: not author['fullname']">
-                         XXXXX
-                       </span>
-                      </td>
-    
-                      <td>
-                       <span tal:content="author/location|nothing" >Location</span>
-                      </td>                  
-                        
-                      <td>
-                       <span tal:condition="python: id == pm.getAuthenticatedMember().id">
-                         <a href="#" tal:attributes="href string:${portal_url}/personalize_form">
-                           Personal Preferences
-                         </a>
-                       </span>
-                      </td>
-                   </tr>
-
-
-              </tal:block>
-            </tal:repeat>
-            </tbody>
-            </table>
-
-            </div>
-
-            <div class="visualClear" id="clear-space-before-navigation"><!-- --></div>
-
-
-            <div class="visualClear" id="clear-space-after-navigation"><!-- --></div>
-
-        </div>
-
-        <div tal:condition="not: results">
-            <p><strong i18n:translate="description_no_results_found">No results were found.</strong></p>
-        </div>
-    </div>
-
-</metal:main>
-
-</html>
-
Index: /main/waeup.plonetheme/trunk/waeup/plonetheme/skins/waeup_plonetheme_custom_templates/member_search_form.pt
===================================================================
--- /main/waeup.plonetheme/trunk/waeup/plonetheme/skins/waeup_plonetheme_custom_templates/member_search_form.pt	(revision 5708)
+++ /main/waeup.plonetheme/trunk/waeup/plonetheme/skins/waeup_plonetheme_custom_templates/member_search_form.pt	(revision 5708)
@@ -0,0 +1,119 @@
+<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en"
+      xmlns:tal="http://xml.zope.org/namespaces/tal"
+      xmlns:metal="http://xml.zope.org/namespaces/metal"
+      xmlns:i18n="http://xml.zope.org/namespaces/i18n"
+      lang="en"
+      metal:use-macro="here/main_template/macros/master"
+      i18n:domain="waeup">
+
+<metal:block fill-slot="top_slot"
+             tal:define="dummy python:request.set('disable_border',1)" />
+
+<metal:main fill-slot="main"
+       tal:define="search_view here/@@pas_search;
+                   listing_allowed python: checkPermission('List portal members', here);
+                   results python:listing_allowed and here.portal_membership.searchForMembers(request) or [];
+                   DateTime python:modules['DateTime'].DateTime; 
+                   is_anonymous python:here.portal_membership.isAnonymousUser();
+                   is_manager python:test(here.portal_membership.checkPermission('Manage portal', here), 1, 0); ">
+
+    <h1 class="documentFirstHeading"
+        i18n:translate="heading_list_members">Project Members</h1>
+
+    <div id="content-core">
+        <p tal:condition="not: listing_allowed"
+            i18n:translate="member_listing_not_allowed">
+          You are not allowed to list portal members.
+        </p>
+        <div tal:condition="results">
+
+
+
+            <div tal:define="pm context/@@plone_tools/membership;
+                             portal_url context/@@plone_portal_state/portal_url">
+
+
+
+            <table align="left" width=100%>
+            <tbody>
+              <tal:repeat tal:define="Groups python:(('Nigeria','Nigerian Group'), ('Germany','German Group'), ('Ghana','Ghanaian Group'), ('Niger','Niger Group'))"
+                          tal:repeat="Group Groups">
+              <tr><td colspan="5">
+                  <h2 style="padding: 0.5em 0em" tal:content="python:Group[1]" />
+              </td></tr>
+              
+            
+              
+              <tal:block tal:repeat="result results">
+
+                    <tr tal:define="id result/getUserName | nothing;
+                                    author python:pm.getMemberInfo(id) or {};
+                                    portrait python:pm.getPersonalPortrait(id);
+                                    home_base python:pm.getHomeUrl(id, verifyPermission=1);"
+                        tal:condition="python:Group[0] in result.getGroupNames() and not id.endswith('1') and (author['fullname'] or not is_anonymous)">
+    
+                      <td>
+                      <a href="#" tal:attributes="href portrait/absolute_url">
+                      <img src="" alt="" class="portraitPhoto" width="25" height="33"
+                           style="float: left; margin: 0em;"
+                           tal:attributes="src portrait/absolute_url" />
+                      </a>
+                      </td>
+    
+                                    
+                      <td>
+                       <span tal:condition="python: is_manager">
+                         <a href="#" tal:attributes="href string:${portal_url}/portal_memberdata/prefs_user_details?userid=${id}">
+                           <span tal:content="id">id</span>
+                         </a>
+                       </span>
+                      </td>    
+                                                     
+                      <td>
+                       <span tal:condition="python: author['fullname']">
+                         <a href="#" tal:attributes="href string:${portal_url}/author/${id}">
+                           <span tal:content="python: author['fullname']">name</span>
+                         </a>
+                       </span>
+                       <span tal:condition="python: not author['fullname']">
+                         XXXXX
+                       </span>
+                      </td>
+    
+                      <td>
+                       <span tal:content="author/location|nothing" >Location</span>
+                      </td>                  
+                        
+                      <td>
+                       <span tal:condition="python: id == pm.getAuthenticatedMember().id">
+                         <a href="#" tal:attributes="href string:${portal_url}/personalize_form">
+                           Personal Preferences
+                         </a>
+                       </span>
+                      </td>
+                   </tr>
+
+
+              </tal:block>
+            </tal:repeat>
+            </tbody>
+            </table>
+
+            </div>
+
+            <div class="visualClear" id="clear-space-before-navigation"><!-- --></div>
+
+
+            <div class="visualClear" id="clear-space-after-navigation"><!-- --></div>
+
+        </div>
+
+        <div tal:condition="not: results">
+            <p><strong i18n:translate="description_no_results_found">No members found.</strong></p>
+        </div>
+    </div>
+
+</metal:main>
+
+</html>
+